unit U_InputBoxSingleNumber;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DB, ADODB;

type
  TfrmInputBoxSingleNumber = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Label1: TLabel;
    Price: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    FFFIDS: string;
    { Public declarations }
  end;

var
  frmInputBoxSingleNumber: TfrmInputBoxSingleNumber;

implementation

{$R *.dfm}

procedure TfrmInputBoxSingleNumber.Button1Click(Sender: TObject);
begin
  if StrToFloatDef(Price.Text, 0) = 0 then
    Price.Text := '0';

  ModalResult := 1;
end;

end.

